Subject: RE: wu-ftpd 2.6.0 released

From: Roger Hanke <[email-masked]>
Date: Thu, 7 May 1998 17:16:55 -0400

Gentlemen,
 Was curious if Pedro Melo's Passive Port Patch made it into your
version. I know it is being used by a number of us who have to
keep our servers behind firewalls. Didnt see it in your list but since 
it has been on Stan's list for awhile was hoping it might be in there?
By the way, what did happen to Stan?
	Roger Hanke

>-----Original Message-----
>From:	Bernhard Rosenkraenzer [SMTP:[email-masked]]
>Sent:	Thursday, May 07, 1998 4:03 PM
>To:	[email-masked]
>Cc:	[email-masked]
>Subject:	wu-ftpd 2.6.0 released
>
>As the original wu-ftpd maintainers have apparently disappeared, we (Andy
>Church, [email-masked] and Bernhard Rosenkränzer,
>[email-masked]) have taken over maintenance of wu-ftpd.
>
>The first resulting version, 2.6.0, has been released.
>It is on ftp://ftp.croftj.net/usr/bero/wu-ftpd, and should appear on
>sunsite.unc.edu, tsx-11.mit.edu and their mirrors shortly.
>
>Major changes in 2.6.0 (relative to wu-ftpd-academ 2.4.2b16):
>+ Uses Autoconf
>+ Mail-to-admin on anonymous uploads added
>+ Virtual FTP support improved
>+ "include" ftpaccess directive added
>+ UIDs/GIDs in "upload" directive can be specified by number
>+ PORT argument checking can be disabled (configure --disable-portcheck)
>+ Specific E-mail addresses for anonymous password can be refused
>* Single-argument bug (e.g. "wu.ftpd -a") fixed
>* Process title now displays "ftpd:" instead of "sendmail:" and suppresses
>     any trailing newline
>* Some code cleanup (unnecessary #include's removed)
>* Documentation updated
>
>We have also introduced a new version number scheme, based on the one used
>for the Linux kernel.
>Versions with an even minor number (2.6.x, 2.8.x, ...) are
>considered stable. There will not be any major features added in them,
>only bugs fixed.
>Versions with odd minor numbers (2.7.x, 2.9.x, ...) are experimental
>versions, primarily there to test new features and major changes. If you
>need a reliable ftp server, don't use them unless you absolutely need one
>of their features.
>
>One of our future goals is to release bug fixes as soon as they're found,
>and to permit access to the current development tree using anonymous CVS.
>(HINT: We're still looking for a server to host this. If you have one, let
>us know...)
>
>If you find any bugs in the 2.6.0 release, contact
>[email-masked].
>
>---
>Windows 95 is NOT a virus - a virus is small and efficient.
>***
>Anyone sending unwanted advertising e-mail to this address will be charged
>$25 for network traffic and computing time. By extracting my address from
>this message or its header, you agree to these terms.
>
>

---

From: The Doctor <[email-masked]>
Date: Sat, 9 May 1998 17:05:43 -0600 (MDT)

> 
> In article <[email-masked]> [email-masked] writes:
> >Bugs it is compiling for BSDI 3.1.
> 
> Since that is one of the primary development platforms here, I would have
> already cheched this in any release I do. I don't know if Andy and Bernard
> have local copies of Solaris x86, Unixware, SCO, BSD/OS, or FreeBSD running
> to test compile (as well as limited functionality testing, which didn't catch
> the command line bug in beta-16, but is being checked in the testing
> for beta-17).
>  
> 
> 
> 

Build work better than autoconf ANY day!!  That is what I tell INN

---

From: [email-masked] (Stan Barber)
Date: Sun, 10 May 1998 00:19:37 CDT

> Then quit calling it a beta. Freeze it where it's reasonably stable, and 
> don't screw with it except for bug fixes.

I will be happy to freeze it when it's stable. It's not, yet.

> Last I heard, alphas and beta WERE for testing new features and
> functionality, not for stable releases. 

I think alphas and betas are for testing anything, features or fixes. So, you
are partially right, but your picture is incomplete.

-- 
Stan   | Academ Consulting Services        |internet: [email-masked]
Olan   | For more info on academ, see this |uucp: mcsun!academ!sob
Barber | URL- http://www.academ.com/academ |Opinions expressed are only mine.